Subject: Bug - byacc : %union problem
From: [email-masked] (Danny Grasse)

1 Apr 1998 06:18:53 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

I have the same problem.  The YYSTYPE construct is flawed.  Also, it
does not copy in my '#include' correctly.

For example:
---------------------------------------------------
%{
#include <stdio.h>
#include "SymbolTable.h"
#define TRUE 1
#define FALSE 0
#define YYDEBUG 1
%}

%union { int intVal; char charVal; char* charStarVal; }
 ----------------------------------------------------
 produces this output ->
---------------------------------------------------

typedef union { int intVal; char charVal; char* charStarVal; }.h"
#define TRUE 1
#define FALSE 0
#define YYDEBUG 1

#line 12 "decaf.y"
typedef union { int intVal; char charVal; char* charStarVal; } YYSTYPE;
 YYSTYPE;
extern YYSTYPE yylval;
-------------------------------------------------------

I know this problem was reported as per "Ajay Gautam
([email-masked])
Wed, 18 Mar 1998 11:41:20 +0500 (GMT) " but I haven't seen a reply or
fix.

Thanks for your help
--
***********************
 Danny Grasse
5552 Burnlee Pl.
Raleigh, NC 27609
(919)676-1941

[email-masked]
[email-masked]
***********************

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".